Bug 1719782 (CVE-2019-10337) - CVE-2019-10337 jenkins-plugin-token-macro: XML External Entity processing the ${XML} macro
Summary: CVE-2019-10337 jenkins-plugin-token-macro: XML External Entity processing the...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10337
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1720032 1720033
Blocks: 1719784
TreeView+ depends on / blocked
 
Reported: 2019-06-12 14:35 UTC by Pedro Sampaio
Modified: 2020-03-25 08:53 UTC (History)
19 users (show)

Fixed In Version: jenkins-plugin-token-macro 2.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:07:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1636 None None None 2019-07-03 11:55:21 UTC
Red Hat Product Errata RHSA-2019:1851 None None None 2019-07-24 21:00:39 UTC

Description Pedro Sampaio 2019-06-12 14:35:01 UTC
Token Macro Plugin did not configure its XML parser in a way that would prevent XML External Entity (XXE) processing. This allowed attackers able to control the contents of files processed with the ${XML} macro to have Jenkins parse a maliciously crafted XML file that uses external entities for extraction of secrets from the Jenkins agent, server-side request forgery, or denial-of-service attacks. Token Macro Plugin no longer processes XML External Entities in XML documents.

References:

https://jenkins.io/security/advisory/2019-06-11/

Comment 1 Sam Fowler 2019-06-13 01:02:28 UTC
External Reference:

https://jenkins.io/security/advisory/2019-06-11/#SECURITY-1399

Comment 3 Sam Fowler 2019-06-13 01:09:22 UTC
"Any security advisory related updates to Jenkins core or the plugins we include in the OpenShift Jenkins master image will only occur in the v3.11 and v4.x branches of this repository."

https://github.com/openshift/jenkins/blob/master/README.md#jenkins-security-advisories-the-master-image-from-this-repository-and-the-oc-binary

Comment 4 errata-xmlrpc 2019-07-03 11:55:20 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:1636 https://access.redhat.com/errata/RHSA-2019:1636

Comment 5 Product Security DevOps Team 2019-07-12 13:07:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10337

Comment 6 errata-xmlrpc 2019-07-24 21:00:38 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:1851 https://access.redhat.com/errata/RHSA-2019:1851


Note You need to log in before you can comment on or make changes to this bug.